Bug Hunting Session
Bug 86803 - RFE: Don’t add space between paragraphs in autocorrect options
Summary: RFE: Don’t add space between paragraphs in autocorrect options
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-27 22:12 UTC by Todd
Modified: 2016-05-23 15:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Todd 2014-11-27 22:12:58 UTC
Hi All,

Would you please consider the following enhancement:

Under "Format", "Auto Correct", "Autocorrect options" would you please add an option to enable/disable “Don’t add space between paragraphs of the same style”.

Make sure "Format, paragraph, Indents and spacing (tab), Don’t add space between paragraphs of the same style” is aware of the option.

Many thanks,
-T
Comment 1 tommy27 2014-11-28 19:44:52 UTC
why should this be an autocorrect option? it look more like a formatting and style option
Comment 2 Todd 2014-11-28 19:56:42 UTC
(In reply to tommy27 from comment #1)
> why should this be an autocorrect option? it look more like a formatting and
> style option

Because it is done "automatically" (and it is a pain in the neck).
Comment 3 tommy27 2014-12-06 13:55:40 UTC
let's hear what the UX team thinks about this feature request.

in the meantime I set status as NEW
Comment 4 mahfiaz 2014-12-07 17:04:56 UTC
Is is by no means an "Autocorrect option", but a style option as tommy27 pointed out.

I have felt the need for something like this myself (I'd prefer a way more complex version where you could also reduce space between substyles of the same style or just have different margins for different sets of styles).

But this boils down to whether or not ODF standard for odt documents has specified it or not. If not, then there is no way we would describe such a "made-up" property and ruin the look of documents in other standard compliant .odt viewers (not that there are many, but still). If this is the case we would first have to get it approved in a future version of ODF.

That said, I am no expert of that standard and maybe it is defined and just not implemented.
Comment 5 Heiko Tietze 2016-05-23 15:10:45 UTC
So the request is to have variable spacing depending on whether or not the next paragraph is of the same style. I disagree with this idea because a) the use case is not clear, b) users may want to have this option more flexible, e.g. only for left pages or only for style XY, and c) it's not part of the odf definition.

And d) WONTFIX as it's not a question of autocorrect.